org.apache.calcite.avatica.proto

## Class Responses.DatabasePropertyElement.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Responses.DatabasePropertyElement.Builder>
      - - org.apache.calcite.avatica.proto.Responses.DatabasePropertyElement.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, Responses.DatabasePropertyElementOrBuilder

Enclosing class:
  Responses.DatabasePropertyElement

    public static final class Responses.DatabasePropertyElement.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Responses.DatabasePropertyElement.Builder>
    implements Responses.DatabasePropertyElementOrBuilder

Protobuf type `DatabasePropertyElement`

### Field Summary

Fields
`private Common.DatabaseProperty` `key_`
`private com.google.protobuf.SingleFieldBuilderV3<Common.DatabaseProperty,Common.DatabaseProperty.Builder,Common.DatabasePropertyOrBuilder>` `keyBuilder_`
`private Responses.RpcMetadata` `metadata_`
`private com.google.protobuf.SingleFieldBuilderV3<Responses.RpcMetadata,Responses.RpcMetadata.Builder,Responses.RpcMetadataOrBuilder>` `metadataBuilder_`
`private Common.TypedValue` `value_`
`private com.google.protobuf.SingleFieldBuilderV3<Common.TypedValue,Common.TypedValue.Builder,Common.TypedValueOrBuilder>` `valueBuilder_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Responses.DatabasePropertyElement.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Responses.DatabasePropertyElement` `build()`
`Responses.DatabasePropertyElement` `buildPartial()`
`Responses.DatabasePropertyElement.Builder` `clear()`
`Responses.DatabasePropertyElement.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Responses.DatabasePropertyElement.Builder` `clearKey()` `optional .DatabaseProperty key = 1;`
`Responses.DatabasePropertyElement.Builder` `clearMetadata()` `optional .RpcMetadata metadata = 3;`
`Responses.DatabasePropertyElement.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Responses.DatabasePropertyElement.Builder` `clearValue()` `optional .TypedValue value = 2;`
`Responses.DatabasePropertyElement.Builder` `clone()`
`Responses.DatabasePropertyElement` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`Common.DatabaseProperty` `getKey()` `optional .DatabaseProperty key = 1;`
`Common.DatabaseProperty.Builder` `getKeyBuilder()` `optional .DatabaseProperty key = 1;`
`private com.google.protobuf.SingleFieldBuilderV3<Common.DatabaseProperty,Common.DatabaseProperty.Builder,Common.DatabasePropertyOrBuilder>` `getKeyFieldBuilder()` `optional .DatabaseProperty key = 1;`
`Common.DatabasePropertyOrBuilder` `getKeyOrBuilder()` `optional .DatabaseProperty key = 1;`
`Responses.RpcMetadata` `getMetadata()` `optional .RpcMetadata metadata = 3;`
`Responses.RpcMetadata.Builder` `getMetadataBuilder()` `optional .RpcMetadata metadata = 3;`
`private com.google.protobuf.SingleFieldBuilderV3<Responses.RpcMetadata,Responses.RpcMetadata.Builder,Responses.RpcMetadataOrBuilder>` `getMetadataFieldBuilder()` `optional .RpcMetadata metadata = 3;`
`Responses.RpcMetadataOrBuilder` `getMetadataOrBuilder()` `optional .RpcMetadata metadata = 3;`
`Common.TypedValue` `getValue()` `optional .TypedValue value = 2;`
`Common.TypedValue.Builder` `getValueBuilder()` `optional .TypedValue value = 2;`
`private com.google.protobuf.SingleFieldBuilderV3<Common.TypedValue,Common.TypedValue.Builder,Common.TypedValueOrBuilder>` `getValueFieldBuilder()` `optional .TypedValue value = 2;`
`Common.TypedValueOrBuilder` `getValueOrBuilder()` `optional .TypedValue value = 2;`
`boolean` `hasKey()` `optional .DatabaseProperty key = 1;`
`boolean` `hasMetadata()` `optional .RpcMetadata metadata = 3;`
`boolean` `hasValue()` `optional .TypedValue value = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Responses.DatabasePropertyElement.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Responses.DatabasePropertyElement.Builder` `mergeFrom(com.google.protobuf.Message other)`
`Responses.DatabasePropertyElement.Builder` `mergeFrom(Responses.DatabasePropertyElement other)`
`Responses.DatabasePropertyElement.Builder` `mergeKey(Common.DatabaseProperty value)` `optional .DatabaseProperty key = 1;`
`Responses.DatabasePropertyElement.Builder` `mergeMetadata(Responses.RpcMetadata value)` `optional .RpcMetadata metadata = 3;`
`Responses.DatabasePropertyElement.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Responses.DatabasePropertyElement.Builder` `mergeValue(Common.TypedValue value)` `optional .TypedValue value = 2;`
`Responses.DatabasePropertyElement.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Responses.DatabasePropertyElement.Builder` `setKey(Common.DatabaseProperty.Builder builderForValue)` `optional .DatabaseProperty key = 1;`
`Responses.DatabasePropertyElement.Builder` `setKey(Common.DatabaseProperty value)` `optional .DatabaseProperty key = 1;`
`Responses.DatabasePropertyElement.Builder` `setMetadata(Responses.RpcMetadata.Builder builderForValue)` `optional .RpcMetadata metadata = 3;`
`Responses.DatabasePropertyElement.Builder` `setMetadata(Responses.RpcMetadata value)` `optional .RpcMetadata metadata = 3;`
`Responses.DatabasePropertyElement.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`Responses.DatabasePropertyElement.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Responses.DatabasePropertyElement.Builder` `setValue(Common.TypedValue.Builder builderForValue)` `optional .TypedValue value = 2;`
`Responses.DatabasePropertyElement.Builder` `setValue(Common.TypedValue value)` `optional .TypedValue value = 2;`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, parseUnknownField`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Field Detail

#### key_

    private Common.DatabaseProperty key_

#### keyBuilder_

    private com.google.protobuf.SingleFieldBuilderV3<Common.DatabaseProperty,Common.DatabaseProperty.Builder,Common.DatabasePropertyOrBuilder> keyBuilder_

#### value_

    private Common.TypedValue value_

#### valueBuilder_

    private com.google.protobuf.SingleFieldBuilderV3<Common.TypedValue,Common.TypedValue.Builder,Common.TypedValueOrBuilder> valueBuilder_

#### metadata_

    private Responses.RpcMetadata metadata_

#### metadataBuilder_

    private com.google.protobuf.SingleFieldBuilderV3<Responses.RpcMetadata,Responses.RpcMetadata.Builder,Responses.RpcMetadataOrBuilder> metadataBuilder_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.DatabasePropertyElement.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Responses.DatabasePropertyElement.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.DatabasePropertyElement.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.DatabasePropertyElement.Builder>`

#### getDefaultInstanceForType

    public Responses.DatabasePropertyElement getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Responses.DatabasePropertyElement build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Responses.DatabasePropertyElement buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Responses.DatabasePropertyElement.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.DatabasePropertyElement.Builder>`

#### setField

    public Responses.DatabasePropertyElement.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                              Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.DatabasePropertyElement.Builder>`

#### clearField

    public Responses.DatabasePropertyElement.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.DatabasePropertyElement.Builder>`

#### clearOneof

    public Responses.DatabasePropertyElement.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.DatabasePropertyElement.Builder>`

#### setRepeatedField

    public Responses.DatabasePropertyElement.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                      int index,
                                                                      Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.DatabasePropertyElement.Builder>`

#### addRepeatedField

    public Responses.DatabasePropertyElement.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                      Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.DatabasePropertyElement.Builder>`

#### mergeFrom

    public Responses.DatabasePropertyElement.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Responses.DatabasePropertyElement.Builder>`

#### mergeFrom

    public Responses.DatabasePropertyElement.Builder mergeFrom(Responses.DatabasePropertyElement other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.DatabasePropertyElement.Builder>`

#### mergeFrom

    public Responses.DatabasePropertyElement.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Responses.DatabasePropertyElement.Builder>`
Throws:
  `IOException`

#### hasKey

    public boolean hasKey()

`optional .DatabaseProperty key = 1;`

Specified by:
  `hasKey` in interface `Responses.DatabasePropertyElementOrBuilder`

#### getKey

    public Common.DatabaseProperty getKey()

`optional .DatabaseProperty key = 1;`

Specified by:
  `getKey` in interface `Responses.DatabasePropertyElementOrBuilder`

#### setKey

    public Responses.DatabasePropertyElement.Builder setKey(Common.DatabaseProperty value)

`optional .DatabaseProperty key = 1;`

#### setKey

    public Responses.DatabasePropertyElement.Builder setKey(Common.DatabaseProperty.Builder builderForValue)

`optional .DatabaseProperty key = 1;`

#### mergeKey

    public Responses.DatabasePropertyElement.Builder mergeKey(Common.DatabaseProperty value)

`optional .DatabaseProperty key = 1;`

#### clearKey

    public Responses.DatabasePropertyElement.Builder clearKey()

`optional .DatabaseProperty key = 1;`

#### getKeyBuilder

    public Common.DatabaseProperty.Builder getKeyBuilder()

`optional .DatabaseProperty key = 1;`

#### getKeyOrBuilder

    public Common.DatabasePropertyOrBuilder getKeyOrBuilder()

`optional .DatabaseProperty key = 1;`

Specified by:
  `getKeyOrBuilder` in interface `Responses.DatabasePropertyElementOrBuilder`

#### getKeyFieldBuilder

    private com.google.protobuf.SingleFieldBuilderV3<Common.DatabaseProperty,Common.DatabaseProperty.Builder,Common.DatabasePropertyOrBuilder> getKeyFieldBuilder()

`optional .DatabaseProperty key = 1;`

#### hasValue

    public boolean hasValue()

`optional .TypedValue value = 2;`

Specified by:
  `hasValue` in interface `Responses.DatabasePropertyElementOrBuilder`

#### getValue

    public Common.TypedValue getValue()

`optional .TypedValue value = 2;`

Specified by:
  `getValue` in interface `Responses.DatabasePropertyElementOrBuilder`

#### setValue

    public Responses.DatabasePropertyElement.Builder setValue(Common.TypedValue value)

`optional .TypedValue value = 2;`

#### setValue

    public Responses.DatabasePropertyElement.Builder setValue(Common.TypedValue.Builder builderForValue)

`optional .TypedValue value = 2;`

#### mergeValue

    public Responses.DatabasePropertyElement.Builder mergeValue(Common.TypedValue value)

`optional .TypedValue value = 2;`

#### clearValue

    public Responses.DatabasePropertyElement.Builder clearValue()

`optional .TypedValue value = 2;`

#### getValueBuilder

    public Common.TypedValue.Builder getValueBuilder()

`optional .TypedValue value = 2;`

#### getValueOrBuilder

    public Common.TypedValueOrBuilder getValueOrBuilder()

`optional .TypedValue value = 2;`

Specified by:
  `getValueOrBuilder` in interface `Responses.DatabasePropertyElementOrBuilder`

#### getValueFieldBuilder

    private com.google.protobuf.SingleFieldBuilderV3<Common.TypedValue,Common.TypedValue.Builder,Common.TypedValueOrBuilder> getValueFieldBuilder()

`optional .TypedValue value = 2;`

#### hasMetadata

    public boolean hasMetadata()

`optional .RpcMetadata metadata = 3;`

Specified by:
  `hasMetadata` in interface `Responses.DatabasePropertyElementOrBuilder`

#### getMetadata

    public Responses.RpcMetadata getMetadata()

`optional .RpcMetadata metadata = 3;`

Specified by:
  `getMetadata` in interface `Responses.DatabasePropertyElementOrBuilder`

#### setMetadata

    public Responses.DatabasePropertyElement.Builder setMetadata(Responses.RpcMetadata value)

`optional .RpcMetadata metadata = 3;`

#### setMetadata

    public Responses.DatabasePropertyElement.Builder setMetadata(Responses.RpcMetadata.Builder builderForValue)

`optional .RpcMetadata metadata = 3;`

#### mergeMetadata

    public Responses.DatabasePropertyElement.Builder mergeMetadata(Responses.RpcMetadata value)

`optional .RpcMetadata metadata = 3;`

#### clearMetadata

    public Responses.DatabasePropertyElement.Builder clearMetadata()

`optional .RpcMetadata metadata = 3;`

#### getMetadataBuilder

    public Responses.RpcMetadata.Builder getMetadataBuilder()

`optional .RpcMetadata metadata = 3;`

#### getMetadataOrBuilder

    public Responses.RpcMetadataOrBuilder getMetadataOrBuilder()

`optional .RpcMetadata metadata = 3;`

Specified by:
  `getMetadataOrBuilder` in interface `Responses.DatabasePropertyElementOrBuilder`

#### getMetadataFieldBuilder

    private com.google.protobuf.SingleFieldBuilderV3<Responses.RpcMetadata,Responses.RpcMetadata.Builder,Responses.RpcMetadataOrBuilder> getMetadataFieldBuilder()

`optional .RpcMetadata metadata = 3;`

#### setUnknownFields

    public final Responses.DatabasePropertyElement.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.DatabasePropertyElement.Builder>`

#### mergeUnknownFields

    public final Responses.DatabasePropertyElement.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.DatabasePropertyElement.Builder>`